aboutsummaryrefslogtreecommitdiffstats
path: root/tools/arch-setup.sh
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2022-04-19 10:52:23 -0700
committerA Wireshark GitLab Utility <gerald+gitlab-utility@wireshark.org>2022-04-19 21:06:24 +0000
commitf6061c4a3c92f79f0f9a557de718b16385a50874 (patch)
tree4b9f806fea2d5329cbf9a1de7a00403f4083f363 /tools/arch-setup.sh
parent33dca395b17a99d035fdb5a9c5c97a8c892a5ab6 (diff)
Tools: Fix our pacman arguments in arch-setup.sh.
Add back the -u / --sysupgrade flag.
Diffstat (limited to 'tools/arch-setup.sh')
-rwxr-xr-xtools/arch-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/arch-setup.sh b/tools/arch-setup.sh
index 7a4c2953d5..acc43996b7 100755
--- a/tools/arch-setup.sh
+++ b/tools/arch-setup.sh
@@ -116,7 +116,7 @@ then
fi
# Partial upgrades are unsupported.
-pacman --sync --refresh --needed $ACTUAL_LIST $OPTIONS || exit 2
+pacman --sync --refresh --sysupgrade --needed $ACTUAL_LIST $OPTIONS || exit 2
if [ $ADDITIONAL -eq 0 ]
then